#include <bits/stdc++.h>
using namespace std;
#define MAX_ESTADOS 100010
#define LETRAS 26 // [a-z]

int trie[MAX_ESTADOS][LETRAS];
int estados;
bitset<MAX_ESTADOS> esHoja;

void inicializarTrie(){
  estados = 1; //Usamos el estado 1 como  raiz 
  esHoja.set(0); // Al principio, no hay estados hoja
}

void insertar(string palabra){
  int longitud = palabra.length();
  int estado_actual = 1;
  for(int i = 0; i < longitud; i++){
    int indice_caracter = palabra[i] - 'a';
    if(trie[estado_actual][indice_caracter] == 0){
      trie[estado_actual][indice_caracter] = ++estados;
    }
    estado_actual = trie[estado_actual][indice_caracter];
  }
  esHoja[estado_actual] = 1;
}

// Regresamos true si nuestra palabra existe en el trie, en el caso contrario, false
bool buscar(string palabra){
  int longitud = palabra.length();
  int estado_actual = 1;
  for(int i = 0; i < longitud; i++){
    int indice_caracter = palabra[i] - 'a';
    if(trie[estado_actual][indice_caracter] == 0){
      return false;
    }else{
      estado_actual = trie[estado_actual][indice_caracter];
    }
  }
  return esHoja[estado_actual];
}

int main(){
  inicializarTrie();
  
  while(1){
    
    int tipo_query; //1 para insertar, 2 para buscar
    string palabra;
    
    cin >> tipo_query >> palabra;
    
    if(tipo_query == 1){
      
      insertar(palabra);
    
    }else if(tipo_query  == 2){
      
      cout << (buscar(palabra)?"Si":"No") << endl;
    
    }else break;
  
  }
  
  return 0;
}